Summary:	A tag library for reading and editing audio meta data
Summary(pl.UTF-8):	Biblioteka tag do odczytu i edycji metadanych dotyczących dźwięku
Name:		taglib
Version:	1.8
Release:	1
License:	LGPL v2.1 or MPL v1.1
Group:		Libraries
Source0:	https://github.com/downloads/taglib/taglib/%{name}-%{version}.tar.gz
# Source0-md5:	dcb8bd1b756f2843e18b1fdf3aaeee15
URL:		http://taglib.github.com/
BuildRequires:	cmake >= 2.6.2
BuildRequires:	libstdc++-devel
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.603
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TagLib is a library for reading and editing the meta-data of several
popular audio formats. Currently it supports both ID3v1 and ID3v2 for
MP3 files, Ogg Vorbis comments and ID3 tags and Vorbis comments in
FLAC, MPC, Speex, WavPack TrueAudio, WAV, AIFF, MP4 and ASF files.

%description -l pl.UTF-8
TagLib to biblioteka do odczytu i edycji metadanych kilku popularnych
formatów dźwiękowych. Aktualnie obsługiwane są znaczniki ID3v1 i ID3v2
w plikach MP3, komentarze Ogg Vorbis oraz znaczniki ID3 i komentarze
Vorbis w plikach FLAC, MPC, Speex, WavPack TrueAudio, WAV, AIFF, MP4 i
ASF.

%package devel
Summary:	libtag - header files
Summary(pl.UTF-8):	libtag - pliki nagłówkowe
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for tag library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki tag.

%package examples
Summary:	Example codes for taglib
Summary(hu.UTF-8):	Példaprogramok
Summary(pl.UTF-8):	Przykładowe programy w postaci źródłowej dla tagliba
Group:		Development/Libraries

%description examples
Example codes for taglib.

%description examples -l hu.UTF-8
Példaprogramok.

%description examples -l pl.UTF-8
Przykładowe programy w postaci źródłowej dla tagliba.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DWITH_ASF=ON \
	-DWITH_MP4=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS
%attr(755,root,root) %{_libdir}/libtag.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtag.so.1
%attr(755,root,root) %{_libdir}/libtag_c.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtag_c.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/taglib-config
%attr(755,root,root) %{_libdir}/libtag.so
%attr(755,root,root) %{_libdir}/libtag_c.so
%{_pkgconfigdir}/taglib.pc
%{_pkgconfigdir}/taglib_c.pc
%{_includedir}/taglib

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Oct 27 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/taglib.git;a=log;h=master

* Sun Sep 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 520a1b9
- update wrt. current cmake macro
- package AUTHORS and NEWS

* Sun Sep 16 2012 Karol Krenski <charles@pld-linux.org> 386e628
- updated to 1.8
- updated Source0 and URL

* Fri Jun 08 2012 blekot <blekot@pld-linux.org> 6facbcc
- 0.7.2
- changed url and source0

* Mon Mar 14 2011 Jakub Bogusz <qboosh@pld-linux.org> f758e64
- description from web page

* Mon Mar 14 2011 Jakub Bogusz <qboosh@pld-linux.org> 4b8ce79
- updated to 1.7
- removed obsolete libtool and am patches

* Thu Feb 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 55c3590
- pl for -examples
- fixed Groups (nothing to do with X11)
- track sonames

* Fri Jul 09 2010 Zsolt Udvari <uzsolt@pld-linux.org> 1b404d9
- examples subpackage
- rel 2

* Sat May 29 2010 arvenil <arvenil@pld-linux.org> 7473cad
- up to 1.6.3

* Mon Oct 26 2009 Jakub Bogusz <qboosh@pld-linux.org> 41d5f09
- avoid overriding optflags by -O3

* Mon Oct 05 2009 Bartłomiej Zimoń <cactus@pld-linux.org> 83111c7
- rel 1

* Thu Oct 01 2009 Jakub Bogusz <qboosh@pld-linux.org> f6c1c82
- fixed License (LGPL or MPL)
- verbose make

* Thu Sep 24 2009 Bartłomiej Zimoń <cactus@pld-linux.org> 07efe13
- add build type

* Thu Sep 24 2009 Bartłomiej Zimoń <cactus@pld-linux.org> 9ee8389
- switch to cmake build
- enable asf and mp4 support

* Thu Sep 24 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> d003301
- respect automake 1.11

* Thu Sep 24 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 4c13dba
- added patch to respect automake 1.11
- enabled ASF support

* Thu Sep 24 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 9bbf1f0
- updated to 1.6

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d27429
- drop obsolete files

* Wed Jun 25 2008 shadzik <shadzik@pld-linux.org> 82ab4e3
- re-added kde-260-lt.patch (fixes kde4-kdemultimedia _dso_handle issue)

* Wed Jun 25 2008 shadzik <shadzik@pld-linux.org> 6da6ba3
- don't attr() on symlinks

* Wed Jun 25 2008 shadzik <shadzik@pld-linux.org> fb954de
- kde3 patches are obsolete here
- BR: pkgconfig
- ghost symlinks
- more files
- cleanup

